%define recoil_ver 6.1.0
%define sixfivezerotwo_ver 0.1

Name:           grafx2
Version:        2.8
Release:        %mkrel 1
Summary:        Ultimate 256-color bitmap paint program
Group:          Graphics/Editors and Converters
License:        GPLv2+
URL:            https://pulkomandy.tk/projects/GrafX2
# https://pulkomandy.tk/projects/GrafX2/downloads
Source0:        https://gitlab.com/GrafX2/grafX2/-/archive/v%{version}/grafX2-v%{version}.tar.gz
# download 3rdparty recoil project
Source1:        https://downloads.sourceforge.net/project/recoil/recoil/%{recoil_ver}/recoil-%{recoil_ver}.tar.gz
# download 3rdparty 6502 project
Source2:        https://github.com/redcode/6502/releases/download/v%{sixfivezerotwo_ver}/6502-v%{sixfivezerotwo_ver}.tar.xz
Patch0:         grafx2-2.6-mga-hicolor-icon.patch
Patch1:         grafx2-2.8-mga-desktop.patch
Patch2:         grafx2-2.8-mga-sdl2.patch
Patch10:        grafX2-v2.8-recoil6.patch

BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(lua)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(SDL2_image)
BuildRequires:  pkgconfig(SDL2_ttf)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(zlib)

Provides:       bundled(recoil) = %{recoil_ver}
Provides:       bundled(6502) = %{sixfivezerotwo_ver}

%description
GrafX2 is a bitmap paint program inspired by the Amiga programs ​Deluxe
Paint and Brilliance. Specialized in 256-color drawing, it includes a very
large number of tools and effects that make it particularly suitable
for pixel art, game graphics, and generally any detailed graphics painted
with a mouse.

%prep
%setup -q -n grafX2-v%{version} -a1 -a2
%autopatch -p1

# prepare 3rdparty recoil project
mv recoil-%{recoil_ver}/ 3rdparty/recoil-%{recoil_ver}
# prepare 3rdparty 6502 project
mv 6502/ 3rdparty/6502

# Use the newer recoil
sed -i 's|RECOILVER=5.1.1|RECOILVER=%{recoil_ver}|g' 3rdparty/Makefile

%build
%set_build_flags
%make_build -C src

%install
%make_install -C src PREFIX=%{_prefix}

install -D -m644 misc/unix/%{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1

%files
%doc doc/README.txt
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_metainfodir}/%{name}.appdata.xml
%{_mandir}/man1/%{name}.1*


%changelog
* Wed Dec 14 2022 daviddavid <daviddavid> 2.8-1.mga9
+ Revision: 1922004
- new version: 2.8

* Mon Dec 12 2022 ns80 <ns80> 2.7-4.mga9
+ Revision: 1921038
- rebuild for new libtiff

* Fri Apr 01 2022 umeabot <umeabot> 2.7-3.mga9
+ Revision: 1839262
- Mageia 9 Mass Rebuild

* Sat Apr 03 2021 wally <wally> 2.7-2.mga9
+ Revision: 1712924
- rebuild for lua 5.4

* Thu Mar 04 2021 daviddavid <daviddavid> 2.7-1.mga9
+ Revision: 1698020
- new version: 2.7 (+ recoil 5.0.0)
- add new 3rdparty 6502 project

* Sat Feb 15 2020 umeabot <umeabot> 2.6-2.mga8
+ Revision: 1525395
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Sun Apr 14 2019 daviddavid <daviddavid> 2.6-1.mga7
+ Revision: 1390090
- new version: 2.6
- switch to sdl2
- new source for 3rdparty recoil project

* Sun Sep 23 2018 umeabot <umeabot> 2.5-2.mga7
+ Revision: 1298059
- Mageia 7 Mass Rebuild

* Sun Jun 03 2018 akien <akien> 2.5-1.mga7
+ Revision: 1234195
- Version 2.5.1960

* Tue Feb 09 2016 umeabot <umeabot> 2.4-2.mga6
+ Revision: 952572
- Mageia 6 Mass Rebuild

* Wed Mar 04 2015 akien <akien> 2.4-1.mga5
+ Revision: 817669
- imported package grafx2

